[SciPy-User] installing scipy on OS X 10.6 Snow Leopard

Adam Mercer ramercer@gmail....
Fri Nov 20 11:33:13 CST 2009


On Thu, Nov 19, 2009 at 17:39, Rich E <reakinator@gmail.com> wrote:
> When trying to install py-scipy in macports, I get the following error:
>
> ichard-Eakins-MacBook-Pro:scipy richardeakin$ sudo port install py-scipy
> Portfile changed since last build; discarding previous state.
> --->  Computing dependencies for py-scipy
> --->  Staging py-numpy into destroot
> Error: Target org.macports.destroot returned: error renaming
> "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_python_py-numpy/work/destroot/opt/local/bin/f2py":
> no such file or directory
> Error: The following dependencies failed to build: py-numpy swig-python
> bison gsed python_select swig
> Error: Status 1 encountered during processing.

This is http://trac.macports.org/ticket/22571

> I don't know if that is an issue for this list or the macports list.  But,
> I'm moving on to other methods..

Any reason why you want the python2.4 version? If you're on Snow
Leopard the python2.6 version will work much better. Anyway this is a
MacPort issue.

Cheers

Adam


More information about the SciPy-User mailing list